# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm

# Include any dependencies generated for this target.
include cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/depend.make

# Include the progress variables for this target.
include cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/progress.make

# Include the compile flags for this target's objects.
include cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/flags.make

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/flags.make
cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o: /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/cfwk/airvantage/slqs_fw_update.c
	$(CMAKE_COMMAND) -E cmake_progress_report /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building C object cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -o CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o   -c /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/cfwk/airvantage/slqs_fw_update.c

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing C source to CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.i"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -E /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/cfwk/airvantage/slqs_fw_update.c > CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.i

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling C source to assembly CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.s"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage && /home/calvin/toolchain/arm/bin/arm-none-linux-gnueabi-gcc  $(C_DEFINES) $(C_FLAGS) -S /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/cfwk/airvantage/slqs_fw_update.c -o CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.s

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.requires:
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.requires

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.provides: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.requires
	$(MAKE) -f cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/build.make cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.provides.build
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.provides

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.provides.build: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o

# Object files for target slqs_fw_update
slqs_fw_update_OBJECTS = \
"CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o"

# External object files for target slqs_fw_update
slqs_fw_update_EXTERNAL_OBJECTS =

runtime/bin/slqs_fw_update: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o
runtime/bin/slqs_fw_update: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/build.make
runtime/bin/slqs_fw_update: runtime/lib/libSwi_AirVantage.so
runtime/bin/slqs_fw_update: runtime/lib/libSwi_log.so
runtime/bin/slqs_fw_update: runtime/lib/liblualib.so
runtime/bin/slqs_fw_update: runtime/lib/libEmp.so
runtime/bin/slqs_fw_update: runtime/lib/libSwi_DSet.so
runtime/bin/slqs_fw_update: static-libs/libpointerlist.a
runtime/bin/slqs_fw_update: runtime/lib/libyajl.so
runtime/bin/slqs_fw_update: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking C executable ../../runtime/bin/slqs_fw_update"
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage && $(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/slqs_fw_update.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/build: runtime/bin/slqs_fw_update
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/build

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/requires: cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/slqs_fw_update.c.o.requires
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/requires

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/clean:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage && $(CMAKE_COMMAND) -P CMakeFiles/slqs_fw_update.dir/cmake_clean.cmake
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/clean

cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/depend:
	cd /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/avagent_r8m/cfwk/airvantage /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage /home/calvin/ws/SLQSrelease/SLQS03.03.11/SampleApps/AirVantageAgent/build.arm/cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : cfwk/airvantage/CMakeFiles/slqs_fw_update.dir/depend

